# brvstr

<!-- WARNING: THIS FILE WAS AUTOGENERATED! DO NOT EDIT! -->

## Developer Guide

### Setup

``` sh
# create conda environment
$ mamba env create -f env.yml

# update conda environment
$ mamba env update -n brvstr --file env.yml
```

### Install

``` sh
pip install -e .

# install from pypi
pip install brvstr
```

### nbdev

``` sh
# activate conda environment
$ conda activate brvstr

# make sure the brvstr package is installed in development mode
$ pip install -e .

# make changes under nbs/ directory
# ...

# compile to have changes apply to the brvstr package
$ nbdev_prepare
```

### Publishing

``` sh
# publish to pypi
$ nbdev_pypi

# publish to conda
$ nbdev_conda --build_args '-c conda-forge'
$ nbdev_conda --mambabuild --build_args '-c conda-forge -c dsm-72'
```

# Usage

## Installation

Install latest from the GitHub
[repository](https://github.com/dsm-72/brvstr):

``` sh
$ pip install git+https://github.com/dsm-72/brvstr.git
```

or from [conda](https://anaconda.org/dsm-72/brvstr)

``` sh
$ conda install -c dsm-72 brvstr
```

or from [pypi](https://pypi.org/project/brvstr/)

``` sh
$ pip install brvstr
```

## Documentation

Documentation can be found hosted on GitHub
[repository](https://github.com/dsm-72/brvstr)
[pages](https://dsm-72.github.io/brvstr/). Additionally you can find
package manager specific guidelines on
[conda](https://anaconda.org/dsm-72/brvstr) and
[pypi](https://pypi.org/project/brvstr/) respectively.

``` python
# Example usage
kg_low = brvstr('kilogram', 'kg')
kg_cap = brvstr('Kilogram', 'Kg')
kg_upp = brvstr('KILOGRAM', 'KG')
kg_low, kg_cap, kg_upp
```

    (kilogram (kg), Kilogram (Kg), KILOGRAM (KG))

``` python
kg_low == kg_cap == kg_upp
```

    True

``` python
no_abrv = brvstr('Kilogram', )
no_abrv == 'kilogram', no_abrv
```

    (True, Kilogram)
